C------------------------------------------------------------------------
C     Copyright (C) 2001-2008, ENPC - INRIA - EDF R&D
C
C     This file is part of the air quality modeling system Polyphemus.
C
C     Polyphemus is developed in the INRIA - ENPC joint project-team
C     CLIME and in the ENPC - EDF R&D joint laboratory CEREA.
C
C     Polyphemus is free software; you can redistribute i and/or modify
C     it under the terms of the GNU General Public License as published
C     by the Free Software Foundation; either version 2 of the License,
C     or (at your option) any later version.
C
C     Polyphemus is distributed in the hope that it will be useful, but
C     WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
C     General Public License for more details.
C
C     For more information, visit the Polyphemus web site:
C     http://cerea.enpc.fr/polyphemus/
C------------------------------------------------------------------------
 
      subroutine dratedc(ns,nr,rk,y,dw)
 
C------------------------------------------------------------------------
C
C     -- DESCRIPTION
C
C     This routine computes the derivative of reaction  rates.
C     This routine is automatically generated by SPACK.
C     Mechanism: RACM2_AEC           
C     Species: _ciRACM2_AEC        
C
C------------------------------------------------------------------------
C
C     -- INPUT VARIABLES
C
C     Ns: chemical species number.
C     NR: reaction number.
C     RK: kinetic rates.
C     Y: chemical concentrations.
C
C     -- INPUT/OUTPUT VARIABLES
C
C     -- OUTPUT VARIABLES
C
C     DW: derivative of reaction rates wrt Y.
C
C------------------------------------------------------------------------
C
C     -- REMARKS
C
C------------------------------------------------------------------------
C
C     -- MODIFICATIONS
C
C------------------------------------------------------------------------
C
C     -- AUTHOR(S)
C
C     SPACK.
C
C------------------------------------------------------------------------
 
      implicit none
 
      integer nr,ns
      double precision rk(nr),y(ns),dw(nr,ns)
 
 
 
      dw(  1,124) =  rk(  1)
      dw(  2, 90) =  rk(  2)
      dw(  3, 90) =  rk(  3)
      dw(  4, 23) =  rk(  4)
      dw(  5,103) =  rk(  5)
      dw(  6, 42) =  rk(  6)
      dw(  7,121) =  rk(  7)
      dw(  8,121) =  rk(  8)
      dw(  9, 49) =  rk(  9)
      dw( 10,119) =  rk( 10)
      dw( 11,119) =  rk( 11)
      dw( 12,100) =  rk( 12)
      dw( 13,112) =  rk( 13)
      dw( 14, 73) =  rk( 14)
      dw( 15, 36) =  rk( 15)
      dw( 16,109) =  rk( 16)
      dw( 17, 77) =  rk( 17)
      dw( 18, 84) =  rk( 18)
      dw( 19, 81) =  rk( 19)
      dw( 20, 87) =  rk( 20)
      dw( 21,104) =  rk( 21)
      dw( 22,104) =  rk( 22)
      dw( 23,104) =  rk( 23)
      dw( 24,102) =  rk( 24)
      dw( 25, 69) =  rk( 25)
      dw( 26, 65) =  rk( 26)
      dw( 27, 91) =  rk( 27)
      dw( 28, 63) =  rk( 28)
      dw( 29, 39) =  rk( 29)
      dw( 30,115) =  rk( 30)
      dw( 31, 71) =  rk( 31)
      dw( 32,111) =  rk( 32)
      dw( 33, 40) =  rk( 33)
      dw( 34, 40) =  rk( 34)
      dw( 35, 48) =  rk( 35)
      dw( 36, 48) =  rk( 36) * Y( 90)
      dw( 36, 90) =  rk( 36) * Y( 48)
      dw( 37,  3) =  rk( 37)
      dw( 38,  3) =  rk( 38)
      dw( 39,  3) =  rk( 39)
      dw( 40, 90) =  rk( 40) * Y(120)
      dw( 40,120) =  rk( 40) * Y( 90)
      dw( 41, 90) =  rk( 41) * Y(123)
      dw( 41,123) =  rk( 41) * Y( 90)
      dw( 42,120) =  rk( 42) * Y(123)
      dw( 42,123) =  rk( 42) * Y(120)
      dw( 43, 49) =  rk( 43) * Y(120)
      dw( 43,120) =  rk( 43) * Y( 49)
      dw( 44,123) =  rk( 44) * Y(123)
      dw( 44,123) =  rk( 44) * Y(123)
      dw( 45,123) =  rk( 45) * Y(123)
      dw( 45,123) =  rk( 45) * Y(123)
      dw( 46, 48) =  rk( 46) * Y(117)
      dw( 46,117) =  rk( 46) * Y( 48)
      dw( 47, 48) =  rk( 47) * Y(124)
      dw( 47,124) =  rk( 47) * Y( 48)
      dw( 48, 48) =  rk( 48) * Y(124)
      dw( 48,124) =  rk( 48) * Y( 48)
      dw( 49,120) =  rk( 49) * Y(117)
      dw( 49,117) =  rk( 49) * Y(120)
      dw( 50,120) =  rk( 50) * Y(124)
      dw( 50,124) =  rk( 50) * Y(120)
      dw( 51,120) =  rk( 51) * Y(121)
      dw( 51,121) =  rk( 51) * Y(120)
      dw( 52,123) =  rk( 52) * Y(117)
      dw( 52,117) =  rk( 52) * Y(123)
      dw( 53,123) =  rk( 53) * Y(124)
      dw( 53,124) =  rk( 53) * Y(123)
      dw( 54, 42) =  rk( 54)
      dw( 55,123) =  rk( 55) * Y(121)
      dw( 55,121) =  rk( 55) * Y(123)
      dw( 56,120) =  rk( 56) * Y( 23)
      dw( 56, 23) =  rk( 56) * Y(120)
      dw( 57,120) =  rk( 57) * Y(103)
      dw( 57,103) =  rk( 57) * Y(120)
      dw( 58,120) =  rk( 58) * Y( 42)
      dw( 58, 42) =  rk( 58) * Y(120)
      dw( 59, 90) =  rk( 59) * Y(117)
      dw( 59,117) =  rk( 59) * Y( 90)
      dw( 60, 90) =  rk( 60) * Y(124)
      dw( 60,124) =  rk( 60) * Y( 90)
      dw( 61,117) =  rk( 61) * Y(117)
      dw( 61,117) =  rk( 61) * Y(117)
      dw( 62,121) =  rk( 62) * Y(117)
      dw( 62,117) =  rk( 62) * Y(121)
      dw( 63,121) =  rk( 63) * Y(124)
      dw( 63,124) =  rk( 63) * Y(121)
      dw( 64,121) =  rk( 64) * Y(124)
      dw( 64,124) =  rk( 64) * Y(121)
      dw( 65, 17) =  rk( 65)
      dw( 66, 17) =  rk( 66)
      dw( 67,121) =  rk( 67) * Y(121)
      dw( 67,121) =  rk( 67) * Y(121)
      dw( 68,120) =  rk( 68)
      dw( 69,120) =  rk( 69) * Y(  4)
      dw( 69,  4) =  rk( 69) * Y(120)
      dw( 70,108) =  rk( 70) * Y(120)
      dw( 70,120) =  rk( 70) * Y(108)
      dw( 71, 45) =  rk( 71) * Y(120)
      dw( 71,120) =  rk( 71) * Y( 45)
      dw( 72, 38) =  rk( 72) * Y(120)
      dw( 72,120) =  rk( 72) * Y( 38)
      dw( 73, 99) =  rk( 73) * Y(120)
      dw( 73,120) =  rk( 73) * Y( 99)
      dw( 74, 25) =  rk( 74) * Y(120)
      dw( 74,120) =  rk( 74) * Y( 25)
      dw( 75, 95) =  rk( 75) * Y(120)
      dw( 75,120) =  rk( 75) * Y( 95)
      dw( 76,  6) =  rk( 76) * Y(120)
      dw( 76,120) =  rk( 76) * Y(  6)
      dw( 77,  8) =  rk( 77) * Y(120)
      dw( 77,120) =  rk( 77) * Y(  8)
      dw( 78,  9) =  rk( 78) * Y(120)
      dw( 78,120) =  rk( 78) * Y(  9)
      dw( 79, 10) =  rk( 79) * Y(120)
      dw( 79,120) =  rk( 79) * Y( 10)
      dw( 80, 27) =  rk( 80) * Y(120)
      dw( 80,120) =  rk( 80) * Y( 27)
      dw( 81, 37) =  rk( 81) * Y(120)
      dw( 81,120) =  rk( 81) * Y( 37)
      dw( 82, 89) =  rk( 82) * Y(120)
      dw( 82,120) =  rk( 82) * Y( 89)
      dw( 83, 24) =  rk( 83) * Y(120)
      dw( 83,120) =  rk( 83) * Y( 24)
      dw( 84, 30) =  rk( 84) * Y(120)
      dw( 84,120) =  rk( 84) * Y( 30)
      dw( 85, 22) =  rk( 85) * Y(120)
      dw( 85,120) =  rk( 85) * Y( 22)
      dw( 86, 31) =  rk( 86) * Y(120)
      dw( 86,120) =  rk( 86) * Y( 31)
      dw( 87, 29) =  rk( 87) * Y(120)
      dw( 87,120) =  rk( 87) * Y( 29)
      dw( 88, 46) =  rk( 88) * Y(120)
      dw( 88,120) =  rk( 88) * Y( 46)
      dw( 89, 34) =  rk( 89) * Y(120)
      dw( 89,120) =  rk( 89) * Y( 34)
      dw( 90, 76) =  rk( 90) * Y(120)
      dw( 90,120) =  rk( 90) * Y( 76)
      dw( 91, 18) =  rk( 91) * Y(120)
      dw( 91,120) =  rk( 91) * Y( 18)
      dw( 92, 28) =  rk( 92) * Y(120)
      dw( 92,120) =  rk( 92) * Y( 28)
      dw( 93,  7) =  rk( 93) * Y(120)
      dw( 93,120) =  rk( 93) * Y(  7)
      dw( 94, 11) =  rk( 94) * Y(120)
      dw( 94,120) =  rk( 94) * Y( 11)
      dw( 95, 53) =  rk( 95) * Y(117)
      dw( 95,117) =  rk( 95) * Y( 53)
      dw( 96, 12) =  rk( 96)
      dw( 97, 54) =  rk( 97)
      dw( 98, 54) =  rk( 98) * Y(117)
      dw( 98,117) =  rk( 98) * Y( 54)
      dw( 99, 52) =  rk( 99) * Y(117)
      dw( 99,117) =  rk( 99) * Y( 52)
      dw(100, 15) =  rk(100) * Y(120)
      dw(100,120) =  rk(100) * Y( 15)
      dw(101, 13) =  rk(101) * Y(120)
      dw(101,120) =  rk(101) * Y( 13)
      dw(102, 55) =  rk(102) * Y(117)
      dw(102,117) =  rk(102) * Y( 55)
      dw(103, 14) =  rk(103)
      dw(104, 16) =  rk(104)
      dw(105, 56) =  rk(105)
      dw(106, 64) =  rk(106)
      dw(107, 56) =  rk(107) * Y(117)
      dw(107,117) =  rk(107) * Y( 56)
      dw(108, 62) =  rk(108) * Y(117)
      dw(108,117) =  rk(108) * Y( 62)
      dw(109, 63) =  rk(109) * Y(120)
      dw(109,120) =  rk(109) * Y( 63)
      dw(110, 67) =  rk(110) * Y(117)
      dw(110,117) =  rk(110) * Y( 67)
      dw(111, 50) =  rk(111) * Y(117)
      dw(111,117) =  rk(111) * Y( 50)
      dw(112, 51) =  rk(112) * Y(124)
      dw(112,124) =  rk(112) * Y( 51)
      dw(113, 19) =  rk(113) * Y(120)
      dw(113,120) =  rk(113) * Y( 19)
      dw(114, 58) =  rk(114) * Y(120)
      dw(114,120) =  rk(114) * Y( 58)
      dw(115, 35) =  rk(115) * Y(120)
      dw(115,120) =  rk(115) * Y( 35)
      dw(116, 35) =  rk(116) * Y(121)
      dw(116,121) =  rk(116) * Y( 35)
      dw(117, 97) =  rk(117) * Y( 90)
      dw(117, 90) =  rk(117) * Y( 97)
      dw(118, 97) =  rk(118) * Y(124)
      dw(118,124) =  rk(118) * Y( 97)
      dw(119, 96) =  rk(119) * Y(117)
      dw(119,117) =  rk(119) * Y( 96)
      dw(120, 96) =  rk(120) * Y(114)
      dw(120,114) =  rk(120) * Y( 96)
      dw(121, 96) =  rk(121) * Y(118)
      dw(121,118) =  rk(121) * Y( 96)
      dw(122, 96) =  rk(122) * Y(123)
      dw(122,123) =  rk(122) * Y( 96)
      dw(123, 96) =  rk(123) * Y(121)
      dw(123,121) =  rk(123) * Y( 96)
      dw(124,119) =  rk(124) * Y(120)
      dw(124,120) =  rk(124) * Y(119)
      dw(125,100) =  rk(125) * Y(120)
      dw(125,120) =  rk(125) * Y(100)
      dw(126,112) =  rk(126) * Y(120)
      dw(126,120) =  rk(126) * Y(112)
      dw(127, 73) =  rk(127) * Y(120)
      dw(127,120) =  rk(127) * Y( 73)
      dw(128, 36) =  rk(128) * Y(120)
      dw(128,120) =  rk(128) * Y( 36)
      dw(129,109) =  rk(129) * Y(120)
      dw(129,120) =  rk(129) * Y(109)
      dw(130, 77) =  rk(130) * Y(120)
      dw(130,120) =  rk(130) * Y( 77)
      dw(131,104) =  rk(131) * Y(120)
      dw(131,120) =  rk(131) * Y(104)
      dw(132,102) =  rk(132) * Y(120)
      dw(132,120) =  rk(132) * Y(102)
      dw(133, 84) =  rk(133) * Y(120)
      dw(133,120) =  rk(133) * Y( 84)
      dw(134, 81) =  rk(134) * Y(120)
      dw(134,120) =  rk(134) * Y( 81)
      dw(135, 87) =  rk(135) * Y(120)
      dw(135,120) =  rk(135) * Y( 87)
      dw(136, 26) =  rk(136) * Y(120)
      dw(136,120) =  rk(136) * Y( 26)
      dw(137, 65) =  rk(137) * Y(120)
      dw(137,120) =  rk(137) * Y( 65)
      dw(138, 69) =  rk(138) * Y(120)
      dw(138,120) =  rk(138) * Y( 69)
      dw(139, 91) =  rk(139) * Y(120)
      dw(139,120) =  rk(139) * Y( 91)
      dw(140, 39) =  rk(140) * Y(120)
      dw(140,120) =  rk(140) * Y( 39)
      dw(141,115) =  rk(141) * Y(120)
      dw(141,120) =  rk(141) * Y(115)
      dw(142, 71) =  rk(142) * Y(120)
      dw(142,120) =  rk(142) * Y( 71)
      dw(143, 40) =  rk(143) * Y(120)
      dw(143,120) =  rk(143) * Y( 40)
      dw(144, 41) =  rk(144) * Y(120)
      dw(144,120) =  rk(144) * Y( 41)
      dw(145, 47) =  rk(145) * Y(120)
      dw(145,120) =  rk(145) * Y( 47)
      dw(146,111) =  rk(146) * Y(120)
      dw(146,120) =  rk(146) * Y(111)
      dw(147, 82) =  rk(147) * Y(120)
      dw(147,120) =  rk(147) * Y( 82)
      dw(148,106) =  rk(148) * Y(120)
      dw(148,120) =  rk(148) * Y(106)
      dw(149,119) =  rk(149) * Y(121)
      dw(149,121) =  rk(149) * Y(119)
      dw(150,100) =  rk(150) * Y(121)
      dw(150,121) =  rk(150) * Y(100)
      dw(151,112) =  rk(151) * Y(121)
      dw(151,121) =  rk(151) * Y(112)
      dw(152,104) =  rk(152) * Y(121)
      dw(152,121) =  rk(152) * Y(104)
      dw(153,102) =  rk(153) * Y(121)
      dw(153,121) =  rk(153) * Y(102)
      dw(154, 26) =  rk(154) * Y(121)
      dw(154,121) =  rk(154) * Y( 26)
      dw(155, 19) =  rk(155) * Y(121)
      dw(155,121) =  rk(155) * Y( 19)
      dw(156, 58) =  rk(156) * Y(121)
      dw(156,121) =  rk(156) * Y( 58)
      dw(157, 61) =  rk(157) * Y(117)
      dw(157,117) =  rk(157) * Y( 61)
      dw(158, 61) =  rk(158) * Y(121)
      dw(158,121) =  rk(158) * Y( 61)
      dw(159, 61) =  rk(159) * Y(114)
      dw(159,114) =  rk(159) * Y( 61)
      dw(160, 61) =  rk(160) * Y(118)
      dw(160,118) =  rk(160) * Y( 61)
      dw(161, 61) =  rk(161) * Y(123)
      dw(161,123) =  rk(161) * Y( 61)
      dw(162, 27) =  rk(162) * Y(121)
      dw(162,121) =  rk(162) * Y( 27)
      dw(163, 37) =  rk(163) * Y(121)
      dw(163,121) =  rk(163) * Y( 37)
      dw(164, 89) =  rk(164) * Y(121)
      dw(164,121) =  rk(164) * Y( 89)
      dw(165, 24) =  rk(165) * Y(121)
      dw(165,121) =  rk(165) * Y( 24)
      dw(166, 30) =  rk(166) * Y(121)
      dw(166,121) =  rk(166) * Y( 30)
      dw(167, 84) =  rk(167) * Y(121)
      dw(167,121) =  rk(167) * Y( 84)
      dw(168, 87) =  rk(168) * Y(121)
      dw(168,121) =  rk(168) * Y( 87)
      dw(169, 22) =  rk(169) * Y(121)
      dw(169,121) =  rk(169) * Y( 22)
      dw(170, 31) =  rk(170) * Y(121)
      dw(170,121) =  rk(170) * Y( 31)
      dw(171, 47) =  rk(171) * Y(121)
      dw(171,121) =  rk(171) * Y( 47)
      dw(172, 27) =  rk(172) * Y( 90)
      dw(172, 90) =  rk(172) * Y( 27)
      dw(173, 37) =  rk(173) * Y( 90)
      dw(173, 90) =  rk(173) * Y( 37)
      dw(174, 89) =  rk(174) * Y( 90)
      dw(174, 90) =  rk(174) * Y( 89)
      dw(175, 24) =  rk(175) * Y( 90)
      dw(175, 90) =  rk(175) * Y( 24)
      dw(176, 30) =  rk(176) * Y( 90)
      dw(176, 90) =  rk(176) * Y( 30)
      dw(177, 84) =  rk(177) * Y( 90)
      dw(177, 90) =  rk(177) * Y( 84)
      dw(178, 81) =  rk(178) * Y( 90)
      dw(178, 90) =  rk(178) * Y( 81)
      dw(179, 87) =  rk(179) * Y( 90)
      dw(179, 90) =  rk(179) * Y( 87)
      dw(180, 22) =  rk(180) * Y( 90)
      dw(180, 90) =  rk(180) * Y( 22)
      dw(181, 31) =  rk(181) * Y( 90)
      dw(181, 90) =  rk(181) * Y( 31)
      dw(182, 26) =  rk(182) * Y( 90)
      dw(182, 90) =  rk(182) * Y( 26)
      dw(183, 91) =  rk(183) * Y( 90)
      dw(183, 90) =  rk(183) * Y( 91)
      dw(184, 60) =  rk(184) * Y(124)
      dw(184,124) =  rk(184) * Y( 60)
      dw(185,118) =  rk(185) * Y(124)
      dw(185,124) =  rk(185) * Y(118)
      dw(186,122) =  rk(186) * Y(124)
      dw(186,124) =  rk(186) * Y(122)
      dw(187, 40) =  rk(187)
      dw(188, 41) =  rk(188)
      dw(189,105) =  rk(189) * Y(124)
      dw(189,124) =  rk(189) * Y(105)
      dw(190, 47) =  rk(190)
      dw(191,114) =  rk(191) * Y(117)
      dw(191,117) =  rk(191) * Y(114)
      dw(192,113) =  rk(192) * Y(117)
      dw(192,117) =  rk(192) * Y(113)
      dw(193,110) =  rk(193) * Y(117)
      dw(193,117) =  rk(193) * Y(110)
      dw(194, 72) =  rk(194) * Y(117)
      dw(194,117) =  rk(194) * Y( 72)
      dw(195, 75) =  rk(195) * Y(117)
      dw(195,117) =  rk(195) * Y( 75)
      dw(196, 85) =  rk(196) * Y(117)
      dw(196,117) =  rk(196) * Y( 85)
      dw(197, 70) =  rk(197) * Y(117)
      dw(197,117) =  rk(197) * Y( 70)
      dw(198, 92) =  rk(198) * Y(117)
      dw(198,117) =  rk(198) * Y( 92)
      dw(199, 80) =  rk(199) * Y(117)
      dw(199,117) =  rk(199) * Y( 80)
      dw(200,105) =  rk(200) * Y(117)
      dw(200,117) =  rk(200) * Y(105)
      dw(201, 83) =  rk(201) * Y(117)
      dw(201,117) =  rk(201) * Y( 83)
      dw(202, 68) =  rk(202) * Y(117)
      dw(202,117) =  rk(202) * Y( 68)
      dw(203, 88) =  rk(203) * Y(117)
      dw(203,117) =  rk(203) * Y( 88)
      dw(204, 74) =  rk(204) * Y(117)
      dw(204,117) =  rk(204) * Y( 74)
      dw(205, 79) =  rk(205) * Y(117)
      dw(205,117) =  rk(205) * Y( 79)
      dw(206, 86) =  rk(206) * Y(117)
      dw(206,117) =  rk(206) * Y( 86)
      dw(207, 64) =  rk(207) * Y(117)
      dw(207,117) =  rk(207) * Y( 64)
      dw(208, 78) =  rk(208) * Y(117)
      dw(208,117) =  rk(208) * Y( 78)
      dw(209,118) =  rk(209) * Y(117)
      dw(209,117) =  rk(209) * Y(118)
      dw(210,122) =  rk(210) * Y(117)
      dw(210,117) =  rk(210) * Y(122)
      dw(211,101) =  rk(211) * Y(117)
      dw(211,117) =  rk(211) * Y(101)
      dw(212, 98) =  rk(212) * Y(117)
      dw(212,117) =  rk(212) * Y( 98)
      dw(213, 93) =  rk(213) * Y(117)
      dw(213,117) =  rk(213) * Y( 93)
      dw(214, 94) =  rk(214) * Y(117)
      dw(214,117) =  rk(214) * Y( 94)
      dw(215,114) =  rk(215) * Y(123)
      dw(215,123) =  rk(215) * Y(114)
      dw(216,113) =  rk(216) * Y(123)
      dw(216,123) =  rk(216) * Y(113)
      dw(217,110) =  rk(217) * Y(123)
      dw(217,123) =  rk(217) * Y(110)
      dw(218, 72) =  rk(218) * Y(123)
      dw(218,123) =  rk(218) * Y( 72)
      dw(219, 75) =  rk(219) * Y(123)
      dw(219,123) =  rk(219) * Y( 75)
      dw(220, 85) =  rk(220) * Y(123)
      dw(220,123) =  rk(220) * Y( 85)
      dw(221, 70) =  rk(221) * Y(123)
      dw(221,123) =  rk(221) * Y( 70)
      dw(222, 92) =  rk(222) * Y(123)
      dw(222,123) =  rk(222) * Y( 92)
      dw(223, 80) =  rk(223) * Y(123)
      dw(223,123) =  rk(223) * Y( 80)
      dw(224,105) =  rk(224) * Y(123)
      dw(224,123) =  rk(224) * Y(105)
      dw(225, 83) =  rk(225) * Y(123)
      dw(225,123) =  rk(225) * Y( 83)
      dw(226, 88) =  rk(226) * Y(123)
      dw(226,123) =  rk(226) * Y( 88)
      dw(227, 74) =  rk(227) * Y(123)
      dw(227,123) =  rk(227) * Y( 74)
      dw(228, 79) =  rk(228) * Y(123)
      dw(228,123) =  rk(228) * Y( 79)
      dw(229, 86) =  rk(229) * Y(123)
      dw(229,123) =  rk(229) * Y( 86)
      dw(230, 54) =  rk(230) * Y(123)
      dw(230,123) =  rk(230) * Y( 54)
      dw(231, 56) =  rk(231) * Y(123)
      dw(231,123) =  rk(231) * Y( 56)
      dw(232, 64) =  rk(232) * Y(123)
      dw(232,123) =  rk(232) * Y( 64)
      dw(233, 78) =  rk(233) * Y(123)
      dw(233,123) =  rk(233) * Y( 78)
      dw(234, 60) =  rk(234) * Y(123)
      dw(234,123) =  rk(234) * Y( 60)
      dw(235,118) =  rk(235) * Y(123)
      dw(235,123) =  rk(235) * Y(118)
      dw(236,122) =  rk(236) * Y(123)
      dw(236,123) =  rk(236) * Y(122)
      dw(237, 98) =  rk(237) * Y(123)
      dw(237,123) =  rk(237) * Y( 98)
      dw(238, 68) =  rk(238) * Y(123)
      dw(238,123) =  rk(238) * Y( 68)
      dw(239,101) =  rk(239) * Y(123)
      dw(239,123) =  rk(239) * Y(101)
      dw(240, 93) =  rk(240) * Y(123)
      dw(240,123) =  rk(240) * Y( 93)
      dw(241, 94) =  rk(241) * Y(123)
      dw(241,123) =  rk(241) * Y( 94)
      dw(242,114) =  rk(242) * Y(114)
      dw(242,114) =  rk(242) * Y(114)
      dw(243,113) =  rk(243) * Y(114)
      dw(243,114) =  rk(243) * Y(113)
      dw(244,110) =  rk(244) * Y(114)
      dw(244,114) =  rk(244) * Y(110)
      dw(245, 72) =  rk(245) * Y(114)
      dw(245,114) =  rk(245) * Y( 72)
      dw(246, 75) =  rk(246) * Y(114)
      dw(246,114) =  rk(246) * Y( 75)
      dw(247, 85) =  rk(247) * Y(114)
      dw(247,114) =  rk(247) * Y( 85)
      dw(248, 70) =  rk(248) * Y(114)
      dw(248,114) =  rk(248) * Y( 70)
      dw(249, 92) =  rk(249) * Y(114)
      dw(249,114) =  rk(249) * Y( 92)
      dw(250, 80) =  rk(250) * Y(114)
      dw(250,114) =  rk(250) * Y( 80)
      dw(251,105) =  rk(251) * Y(114)
      dw(251,114) =  rk(251) * Y(105)
      dw(252, 83) =  rk(252) * Y(114)
      dw(252,114) =  rk(252) * Y( 83)
      dw(253, 88) =  rk(253) * Y(114)
      dw(253,114) =  rk(253) * Y( 88)
      dw(254, 74) =  rk(254) * Y(114)
      dw(254,114) =  rk(254) * Y( 74)
      dw(255, 79) =  rk(255) * Y(114)
      dw(255,114) =  rk(255) * Y( 79)
      dw(256, 86) =  rk(256) * Y(114)
      dw(256,114) =  rk(256) * Y( 86)
      dw(257, 54) =  rk(257) * Y(114)
      dw(257,114) =  rk(257) * Y( 54)
      dw(258, 53) =  rk(258) * Y(114)
      dw(258,114) =  rk(258) * Y( 53)
      dw(259, 52) =  rk(259) * Y(114)
      dw(259,114) =  rk(259) * Y( 52)
      dw(260, 64) =  rk(260) * Y(114)
      dw(260,114) =  rk(260) * Y( 64)
      dw(261, 55) =  rk(261) * Y(114)
      dw(261,114) =  rk(261) * Y( 55)
      dw(262, 56) =  rk(262) * Y(114)
      dw(262,114) =  rk(262) * Y( 56)
      dw(263, 62) =  rk(263) * Y(114)
      dw(263,114) =  rk(263) * Y( 62)
      dw(264, 67) =  rk(264) * Y(114)
      dw(264,114) =  rk(264) * Y( 67)
      dw(265, 50) =  rk(265) * Y(114)
      dw(265,114) =  rk(265) * Y( 50)
      dw(266, 78) =  rk(266) * Y(114)
      dw(266,114) =  rk(266) * Y( 78)
      dw(267,118) =  rk(267) * Y(114)
      dw(267,114) =  rk(267) * Y(118)
      dw(268,122) =  rk(268) * Y(114)
      dw(268,114) =  rk(268) * Y(122)
      dw(269, 98) =  rk(269) * Y(114)
      dw(269,114) =  rk(269) * Y( 98)
      dw(270, 68) =  rk(270) * Y(114)
      dw(270,114) =  rk(270) * Y( 68)
      dw(271,101) =  rk(271) * Y(114)
      dw(271,114) =  rk(271) * Y(101)
      dw(272, 93) =  rk(272) * Y(114)
      dw(272,114) =  rk(272) * Y( 93)
      dw(273, 94) =  rk(273) * Y(114)
      dw(273,114) =  rk(273) * Y( 94)
      dw(274,113) =  rk(274) * Y(118)
      dw(274,118) =  rk(274) * Y(113)
      dw(275,110) =  rk(275) * Y(118)
      dw(275,118) =  rk(275) * Y(110)
      dw(276, 72) =  rk(276) * Y(118)
      dw(276,118) =  rk(276) * Y( 72)
      dw(277, 75) =  rk(277) * Y(118)
      dw(277,118) =  rk(277) * Y( 75)
      dw(278, 85) =  rk(278) * Y(118)
      dw(278,118) =  rk(278) * Y( 85)
      dw(279, 70) =  rk(279) * Y(118)
      dw(279,118) =  rk(279) * Y( 70)
      dw(280, 92) =  rk(280) * Y(118)
      dw(280,118) =  rk(280) * Y( 92)
      dw(281, 80) =  rk(281) * Y(118)
      dw(281,118) =  rk(281) * Y( 80)
      dw(282,105) =  rk(282) * Y(118)
      dw(282,118) =  rk(282) * Y(105)
      dw(283, 83) =  rk(283) * Y(118)
      dw(283,118) =  rk(283) * Y( 83)
      dw(284, 88) =  rk(284) * Y(118)
      dw(284,118) =  rk(284) * Y( 88)
      dw(285, 74) =  rk(285) * Y(118)
      dw(285,118) =  rk(285) * Y( 74)
      dw(286, 79) =  rk(286) * Y(118)
      dw(286,118) =  rk(286) * Y( 79)
      dw(287, 86) =  rk(287) * Y(118)
      dw(287,118) =  rk(287) * Y( 86)
      dw(288, 54) =  rk(288) * Y(118)
      dw(288,118) =  rk(288) * Y( 54)
      dw(289, 53) =  rk(289) * Y(118)
      dw(289,118) =  rk(289) * Y( 53)
      dw(290, 52) =  rk(290) * Y(118)
      dw(290,118) =  rk(290) * Y( 52)
      dw(291, 62) =  rk(291) * Y(118)
      dw(291,118) =  rk(291) * Y( 62)
      dw(292, 67) =  rk(292) * Y(118)
      dw(292,118) =  rk(292) * Y( 67)
      dw(293, 50) =  rk(293) * Y(118)
      dw(293,118) =  rk(293) * Y( 50)
      dw(294, 64) =  rk(294) * Y(118)
      dw(294,118) =  rk(294) * Y( 64)
      dw(295, 55) =  rk(295) * Y(118)
      dw(295,118) =  rk(295) * Y( 55)
      dw(296, 56) =  rk(296) * Y(118)
      dw(296,118) =  rk(296) * Y( 56)
      dw(297, 78) =  rk(297) * Y(118)
      dw(297,118) =  rk(297) * Y( 78)
      dw(298,118) =  rk(298) * Y(118)
      dw(298,118) =  rk(298) * Y(118)
      dw(299,122) =  rk(299) * Y(122)
      dw(299,122) =  rk(299) * Y(122)
      dw(300,101) =  rk(300) * Y(118)
      dw(300,118) =  rk(300) * Y(101)
      dw(301, 98) =  rk(301) * Y(118)
      dw(301,118) =  rk(301) * Y( 98)
      dw(302, 68) =  rk(302) * Y(118)
      dw(302,118) =  rk(302) * Y( 68)
      dw(303, 93) =  rk(303) * Y(118)
      dw(303,118) =  rk(303) * Y( 93)
      dw(304, 94) =  rk(304) * Y(118)
      dw(304,118) =  rk(304) * Y( 94)
      dw(305, 93) =  rk(305) * Y( 93)
      dw(305, 93) =  rk(305) * Y( 93)
      dw(306, 93) =  rk(306) * Y( 94)
      dw(306, 94) =  rk(306) * Y( 93)
      dw(307, 94) =  rk(307) * Y( 94)
      dw(307, 94) =  rk(307) * Y( 94)
      dw(308,114) =  rk(308) * Y(121)
      dw(308,121) =  rk(308) * Y(114)
      dw(309,113) =  rk(309) * Y(121)
      dw(309,121) =  rk(309) * Y(113)
      dw(310,110) =  rk(310) * Y(121)
      dw(310,121) =  rk(310) * Y(110)
      dw(311, 72) =  rk(311) * Y(121)
      dw(311,121) =  rk(311) * Y( 72)
      dw(312, 75) =  rk(312) * Y(121)
      dw(312,121) =  rk(312) * Y( 75)
      dw(313, 85) =  rk(313) * Y(121)
      dw(313,121) =  rk(313) * Y( 85)
      dw(314, 70) =  rk(314) * Y(121)
      dw(314,121) =  rk(314) * Y( 70)
      dw(315, 92) =  rk(315) * Y(121)
      dw(315,121) =  rk(315) * Y( 92)
      dw(316, 80) =  rk(316) * Y(121)
      dw(316,121) =  rk(316) * Y( 80)
      dw(317, 74) =  rk(317) * Y(121)
      dw(317,121) =  rk(317) * Y( 74)
      dw(318, 79) =  rk(318) * Y(121)
      dw(318,121) =  rk(318) * Y( 79)
      dw(319, 86) =  rk(319) * Y(121)
      dw(319,121) =  rk(319) * Y( 86)
      dw(320, 64) =  rk(320) * Y(121)
      dw(320,121) =  rk(320) * Y( 64)
      dw(321, 78) =  rk(321) * Y(121)
      dw(321,121) =  rk(321) * Y( 78)
      dw(322,118) =  rk(322) * Y(121)
      dw(322,121) =  rk(322) * Y(118)
      dw(323,122) =  rk(323) * Y(121)
      dw(323,121) =  rk(323) * Y(122)
      dw(324, 68) =  rk(324) * Y(121)
      dw(324,121) =  rk(324) * Y( 68)
      dw(325,101) =  rk(325) * Y(121)
      dw(325,121) =  rk(325) * Y(101)
      dw(326, 98) =  rk(326) * Y(121)
      dw(326,121) =  rk(326) * Y( 98)
      dw(327, 93) =  rk(327) * Y(121)
      dw(327,121) =  rk(327) * Y( 93)
      dw(328, 94) =  rk(328) * Y(121)
      dw(328,121) =  rk(328) * Y( 94)
      dw(329, 83) =  rk(329) * Y(121)
      dw(329,121) =  rk(329) * Y( 83)
      dw(330,105) =  rk(330) * Y(121)
      dw(330,121) =  rk(330) * Y(105)
      dw(331, 53) =  rk(331) * Y(121)
      dw(331,121) =  rk(331) * Y( 53)
      dw(332, 54) =  rk(332) * Y(121)
      dw(332,121) =  rk(332) * Y( 54)
      dw(333, 52) =  rk(333) * Y(121)
      dw(333,121) =  rk(333) * Y( 52)
      dw(334, 55) =  rk(334) * Y(121)
      dw(334,121) =  rk(334) * Y( 55)
      dw(335, 56) =  rk(335) * Y(121)
      dw(335,121) =  rk(335) * Y( 56)
      dw(336, 62) =  rk(336) * Y(121)
      dw(336,121) =  rk(336) * Y( 62)
      dw(337, 67) =  rk(337) * Y(121)
      dw(337,121) =  rk(337) * Y( 67)
      dw(338, 50) =  rk(338) * Y(121)
      dw(338,121) =  rk(338) * Y( 50)
      dw(339, 88) =  rk(339) * Y(121)
      dw(339,121) =  rk(339) * Y( 88)
      dw(340,116) =  rk(340) * Y(123)
      dw(340,123) =  rk(340) * Y(116)
      dw(341,116) =  rk(341) * Y(114)
      dw(341,114) =  rk(341) * Y(116)
      dw(342,116) =  rk(342) * Y(118)
      dw(342,118) =  rk(342) * Y(116)
      dw(343,116) =  rk(343) * Y(116)
      dw(343,116) =  rk(343) * Y(116)
      dw(344,116) =  rk(344) * Y(117)
      dw(344,117) =  rk(344) * Y(116)
      dw(345,116) =  rk(345) * Y(121)
      dw(345,121) =  rk(345) * Y(116)
      dw(346,107) =  rk(346) * Y(117)
      dw(346,117) =  rk(346) * Y(107)
      dw(347,107) =  rk(347) * Y(123)
      dw(347,123) =  rk(347) * Y(107)
      dw(348,107) =  rk(348) * Y(114)
      dw(348,114) =  rk(348) * Y(107)
      dw(349,107) =  rk(349) * Y(118)
      dw(349,118) =  rk(349) * Y(107)
      dw(350,107) =  rk(350) * Y(121)
      dw(350,121) =  rk(350) * Y(107)
      dw(351,122) =  rk(351) * Y(118)
      dw(351,118) =  rk(351) * Y(122)
      dw(352,123) =  rk(352)
      dw(353,124) =  rk(353)
      dw(354,121) =  rk(354)
      dw(355, 17) =  rk(355)
 
      RETURN
      END
 
